summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSebastien Estienne <sebastien.estienne@gmail.com>2005-10-23 15:58:47 +0000
committerSebastien Estienne <sebastien.estienne@gmail.com>2005-10-23 15:58:47 +0000
commitfa3d2c43f5d0b1c7f52343c5660fe86ad7ec0982 (patch)
tree4ceb04434651a9920d80732f78691e466ca51fc2
parent5e88553351ad70b610f1e2197699b87ab0f9da18 (diff)
* add logic to support many os when bootstrapping
git-svn-id: file:///home/lennart/svn/public/libdaemon/trunk@91 153bfa13-eec0-0310-be40-b0cb6a0e1b4b
-rwxr-xr-xautogen.sh61
-rwxr-xr-xbootstrap.sh52
2 files changed, 80 insertions, 33 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..f541878
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,61 @@
+#!/bin/sh
+# $Id$
+
+# This file is part of libdaemon.
+#
+# libdaemon is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# libdaemon is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with libdaemon; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+VERSION=1.9
+
+run_versioned() {
+ local P
+ local V
+
+ V=$(echo "$2" | sed -e 's,\.,,g')
+
+ if type -p "$1$V" &> /dev/null ; then
+ P="$1$V"
+ elif type -p "$1-$2" &> /dev/null ; then
+ P="$1-$2"
+ else
+ P="$1"
+ fi
+
+ shift 2
+ "$P" "$@"
+}
+
+set -ex
+
+if [ "x$1" = "xam" ] ; then
+ run_versioned automake "$VERSION" -a -c --foreign
+ ./config.status
+else
+ rm -rf autom4te.cache
+ rm -f config.cache
+
+ test "x$LIBTOOLIZE" = "x" && LIBTOOLIZE=libtoolize
+
+ "$LIBTOOLIZE" -c --force
+ run_versioned aclocal "$VERSION"
+ run_versioned autoconf 2.59 -Wall
+ run_versioned autoheader 2.59
+ run_versioned automake "$VERSION" -a -c --foreign
+
+ if test "x$NOCONFIGURE" = "x"; then
+ ./configure "$@"
+ make clean
+ fi
+fi
diff --git a/bootstrap.sh b/bootstrap.sh
index 9ee1b34..c889c14 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -1,5 +1,4 @@
-#!/bin/sh
-# $Id$
+# $Id: bootstrap.sh 89 2005-08-24 22:57:12Z lennart $
# This file is part of libdaemon.
#
@@ -17,34 +16,21 @@
# along with libdaemon; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
-VERSION=1.9
-
-run_versioned() {
- local P
- type -p "$1-$2" &> /dev/null && P="$1-$2" || local P="$1"
-
- shift 2
- "$P" "$@"
-}
-
-if [ "x$1" = "xam" ] ; then
- set -ex
- run_versioned automake "$VERSION" -a -c
- ./config.status
-else
- set -ex
-
- rm -rf autom4te.cache
- rm -f config.cache
-
- run_versioned aclocal "$VERSION"
- libtoolize -c --force
- autoheader
- run_versioned automake "$VERSION" -a -c --foreign
- autoconf -Wall
-
- CFLAGS="$CFLAGS -g -O0" ./configure --sysconfdir=/etc "$@"
-
- make clean
-fi
-
+FLAGS="--sysconfdir=/etc"
+
+case `uname -s` in
+ Darwin)
+ export LIBTOOLIZE=/opt/local/bin/glibtoolize
+ export PKG_CONFIG_PATH="/opt/local/lib/pkgconfig"
+ FLAGS="$FLAGS --prefix=/opt/local --disable-lynx"
+ ;;
+ FreeBSD)
+ cp /usr/local/share/aclocal/libtool15.m4 common
+ export LIBTOOLIZE=/usr/local/bin/libtoolize15
+ export PKG_CONFIG_PATH="/usr/local/lib/pkgconfig"
+ ;;
+ Linux)
+ ;;
+esac
+
+CFLAGS="$CFLAGS -g -O0" exec ./autogen.sh $FLAGS "$@"